Enhavo
Indekso 🔎︎

# IsUnoStruct Function

Liveras la valoron True se la donita objekto estas Uno-struck (strukturo).

### Syntax:

IsUnoStruct( Uno type )

### Return value:

Boolean

### Parameters:

Uno type : A UnoObject

### Example:

    Sub Main
    Dim bIsStruct
    ' Generi servon
    Dim oSimpleFileAccess
    oSimpleFileAccess = CreateUnoService( "com.sun.star.ucb.SimpleFileAccess" )
    bIsStruct = IsUnoStruct( oSimpleFileAccess )
    MsgBox bIsStruct ' Vidigas 'False' ĉar oSimpleFileAccess ne estas struct
    ' Generi atributan struct (strukturon)
    Dim aProperty As New com.sun.star.beans.Property
    bIsStruct = IsUnoStruct( aProperty )
    MsgBox bIsStruct ' Vidigas 'True' ĉar aProperty estas struct
    bIsStruct = IsUnoStruct( 42 )
    MsgBox bIsStruct ' Vidigas False ĉar 42 NE estas struct
    End Sub